<?php
require'fun.php';
$titlu='Trimite mesaj la '.nume($la,1);
require'f_profil.php';
$back[1]=profil($la,'Profil membru '.nume($la));
$back[2]='<a href="/mesaje">'.img('mesaje.png',1).'Mesaje</a>';
require'f_sus.php';
require'f_mut.php';
if(in_array($de,$id_proprietari))
$pmfl=0;
else
$pmfl=$conn->query('SELECT MAX(`data`)FROM`mesaje`WHERE`de`="'.$de.'"')->fetch_row()[0]+$anti_flood;
require'f_blocat.php';
function trimite_mesaj()
{
global$conn,$de,$la,$perm;
$mod=$conn->query('SELECT`modpm`FROM`membrii`WHERE`id`="'.$la.'"')->fetch_row()[0];
if($perm>0)
return true;
if($mod==0)
return true;
if($mod==1)
return false;
if($mod==2)
{
if($conn->query('SELECT COUNT(*)FROM`prieteni`WHERE(`de`="'.$de.'"&&`la`="'.$la.'"||`de`="'.$la.'"&&`la`="'.$de.'")&&`citit`>"0"')->fetch_row()[0]>0)
return true;
return false;
}
if($mod==3)
{
if($conn->query('SELECT COUNT(*)FROM`prieteni`WHERE(`de`="'.$de.'"&&`la`="'.$la.'"||`de`="'.$la.'"&&`la`="'.$de.'")&&`citit`>"0"')->fetch_row()[0]>0)
return false;
return true;
}
if($mod>3)
return true;
return false;
}
if(!trimite_mesaj())
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți trimite mesaj către <i><strong>'.profil($la).'</strong></i>, datorita modului în care si-a setat primirea mesajelor!';
elseif($pmfl>$_SERVER['REQUEST_TIME'])
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Flood control: poți trimite mesaj, doar peste '.($pmfl-$_SERVER['REQUEST_TIME']).' secunde!';
elseif(blocat($pmtext))
{
$tip='text mesaj către membrul '.nume($la,1);
$text=$pmtext;
require'f_ban.php';
}
elseif($conn->query('SELECT COUNT(*)FROM`ignorati`WHERE`la`="'.$de.'"&&`de`="'.$la.'"')->fetch_row()[0]>0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți trimite mesaj către '.nume($la).', deoarece te are în lista cu persoane ignorate!';
elseif($pmtext=='')
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Trebuie să scri ceva, nu poți trimite mesaj gol!';
else
{
require'f_spam.php';
require'f_scris2.php';
if($conn->query('INSERT INTO`mesaje`SET`text`="'.$pmtext.'",`de`="'.$de.'",`la`="'.$la.'",`data`="'.$_SERVER['REQUEST_TIME'].'",`raportat`="'.(spam($pmtext)&&(!in_array($de,$id_proprietari)||!in_array($la,$id_proprietari))?$id_robot:0).'"'))
{
$conn->query('INSERT INTO`evenimente`SET`text`="i-a trimis un mesaj la",`de`="'.$de.'",`la`="'.$la.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
$conn->query('UPDATE`membrii`SET`lei`=lei+'.$lei['mesaj'].',`top_mesaje`=top_mesaje+1 WHERE`id`="'.$de.'"');
require'f_filtru_bb.php';
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Mesaj trimis la '.profil($la).$div[0].$div[13].filtru_bb($pmtext);
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
}
echo$div[0];
require'f_mesaje_noi.php';
require'f_jos.php';